<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <RelativeLayout
        android:id="@+id/rlApps"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="10dp"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_app_icon"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:src="@mipmap/ic_launcher"
            android:layout_marginEnd="20dp"
            android:layout_alignParentStart="true"
            android:layout_centerVertical="true" />

        <TextView
            android:id="@+id/tvAppName"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_toLeftOf="@+id/swOnOff"
            android:layout_toEndOf="@id/iv_app_icon"
            android:gravity="center_vertical"
            android:minHeight="50dp"
            android:padding="5dp"
            android:textColor="@color/black"
            android:text="App name"
            android:textSize="16sp" />

        <androidx.appcompat.widget.SwitchCompat
            android:id="@+id/swOnOff"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:layout_marginHorizontal="5dp"
            android:checked="false" />

    </RelativeLayout>

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginHorizontal="10dp"
        android:background="#1A000000"
        app:layout_constraintTop_toBottomOf="@+id/rlApps" />


</androidx.constraintlayout.widget.ConstraintLayout>